﻿/*
 * SDK Pullenti Unitext, version 4.22, february 2024. Copyright (c) 2013, Pullenti. All rights reserved. 
 * Non-Commercial Freeware and Commercial Software. 
 * This class is generated using the converter UniSharping (www.unisharping.ru) from Pullenti C# project. 
 * The latest version of the code is available on the site www.pullenti.ru
 */

using System;

namespace Pullenti.Unitext
{
    /// <summary>
    /// Тип структурирующего блока
    /// </summary>
    public enum UnitextDocblockType : int
    {
        /// <summary>
        /// Не определён
        /// </summary>
        Undefined,
        /// <summary>
        /// Целый документ
        /// </summary>
        Document,
        /// <summary>
        /// Оглавление
        /// </summary>
        Index,
        /// <summary>
        /// Список литературы
        /// </summary>
        Literatura,
    }
}