﻿/*
 * SDK Pullenti Unitext, version 4.22, february 2024. Copyright (c) 2013, Pullenti. All rights reserved. 
 * Non-Commercial Freeware and Commercial Software. 
 * This class is generated using the converter UniSharping (www.unisharping.ru) from Pullenti C# project. 
 * The latest version of the code is available on the site www.pullenti.ru
 */

using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace Pullenti.Unitext.Internal.Pdf
{
    public class PdfReference : PdfObject
    {
        public override string ToStringEx(int lev)
        {
            return string.Format("[R 0 {0}]", Id);
        }
        public override void Write(Stream s)
        {
            byte[] buf = Encoding.ASCII.GetBytes(string.Format("{0} 0 R", WriteId));
            s.Write(buf, 0, buf.Length);
        }
        public override void GetAllReferences(List<PdfReference> refs, List<int> ids)
        {
            refs.Add(this);
        }
    }
}