﻿/*
 * SDK Pullenti Unitext, version 4.22, february 2024. Copyright (c) 2013, Pullenti. All rights reserved. 
 * Non-Commercial Freeware and Commercial Software. 
 * This class is generated using the converter UniSharping (www.unisharping.ru) from Pullenti C# project. 
 * The latest version of the code is available on the site www.pullenti.ru
 */

using System;

namespace Pullenti.Unitext
{
    /// <summary>
    /// Тип нетекстового элемента
    /// </summary>
    public enum UnitextMiscType : int
    {
        /// <summary>
        /// Не определено
        /// </summary>
        Undefined,
        /// <summary>
        /// Горизонтальная линия
        /// </summary>
        HorizontalLine,
        /// <summary>
        /// Якорь, на который ссылаются из Hyperlink с IsInternal = true (Href равен Id). 
        /// Оптимизатор удаляет по возможности якоря и переадресует ссылки на Id реальных элементов, 
        /// но если вдруг не получилось, то якорь остаётся...
        /// </summary>
        Anchor,
    }
}